### Method

# ECal Component get_descriptions

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_descriptions (
      ECalComponent* comp
    )

#### Description [src]

Queries the description of a calendar component object. Journal components may have more than one description, and as such this function returns a list of `ECalComponentText` structures. All other types of components can have at most one description for a single language. Free the returned `GSList` with g_slist_free_full (slist, e_cal_component_text_free);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `ECalComponentText*`

The description properties and their parameters, as a `GSList` of `ECalComponentText` structures.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.